Wt: Wt::Form::WFormDelegate< Wt::WTime, void > Class Reference

Wt 4.10.4

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Wt::Form::WFormDelegate< Wt::WTime, void > Class Reference
Dbo Forms (Wt::Form)

Form delegate class for WTime More...

`#include <WFormDelegate.h>`

Inheritance diagram for Wt::Form::WFormDelegate< Wt::WTime, void >:
[legend]

## Public Member Functions
std::unique_ptr< Wt::WWidget > | createFormWidget () override
| Create WTimeEdit to be used in the View.
std::shared_ptr< Wt::WValidator > | createValidator () override
| Create WTimeValidator.
void | updateModelValue (Wt::WFormModel *model, Wt::WFormModel::Field field, Wt::WFormWidget *edit) override
| Update the value in the Model.
void | updateViewValue (Wt::WFormModel *model, Wt::WFormModel::Field field, Wt::WFormWidget *edit) override
| Update the value in the View.
virtual bool | updateModelValue (Wt::WFormModel *model, Wt::WFormModel::Field field, Wt::WWidget *edit)
| Updates a value in the Model.
virtual bool | updateViewValue (Wt::WFormModel *model, Wt::WFormModel::Field field, Wt::WWidget *edit)
| Updates a value in the View.
Public Member Functions inherited from Wt::Form::WAbstractFormDelegate
| WAbstractFormDelegate ()
| Constructor.
virtual | ~WAbstractFormDelegate ()
| Destructor.

## Detailed Description

Form delegate class for WTime

This will create a WTimeEdit to display the WTime value in the View

## Member Function Documentation

## ◆ updateModelValue()

virtual bool Wt::Form::WAbstractFormDelegate::updateModelValue | ( | Wt::WFormModel * | model,
|  | Wt::WFormModel::Field | field,
|  | Wt::WWidget * | edit )
| virtual

Updates a value in the Model.

By default this method returns false.

The user should only override this method or the other updateModelValue method, depending on the type of widget that's returned by createFormWidget.

See also
  WTemplateFormView::updateModelValue()

Reimplemented from Wt::Form::WAbstractFormDelegate.

## ◆ updateViewValue()

virtual bool Wt::Form::WAbstractFormDelegate::updateViewValue | ( | Wt::WFormModel * | model,
|  | Wt::WFormModel::Field | field,
|  | Wt::WWidget * | edit )
| virtual

Updates a value in the View.

By default this method returns false.

The user should only override this method or the other updateViewValue method, depending on the type of widget that's returned by createFormWidget.

See also
  WTemplateFormView::updateViewValue()

Reimplemented from Wt::Form::WAbstractFormDelegate.